SystemOrganization addCategory: 'ConfigurationOfSewaf'!

ConfigurationOf subclass: #ConfigurationOfSewaf2
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfSewaf'!

!ConfigurationOfSewaf2 methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:40'!
baseline0921: spec
	<version: '0.921-baseline'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://ss3.gemstone.com/ss/SEWAF'.
		spec project: 'Seaside3' with: [
			spec repository: 'http://www.smalltalkhub.com/mc/Seaside/MetacelloConfigurations/main';
				versionString: #stable;
				className: 'ConfigurationOfSeaside3';
				file: 'ConfigurationOfSeaside3';
				loads: #('Core').
				].
		spec 
			package: 'SEWAF' with: [spec requires: 'Seaside3'].
	].! !

!ConfigurationOfSewaf2 methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:40'!
baseline0939: spec
	<version: '0.939-baseline'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://ss3.gemstone.com/ss/SEWAF'.
		spec project: 'Seaside3' with: [
			spec repository: 'http://www.smalltalkhub.com/mc/Seaside/MetacelloConfigurations/main';
				versionString: #stable;
				className: 'ConfigurationOfSeaside3';
				file: 'ConfigurationOfSeaside3';
				loads: #('Core').
				].
		spec 
			package: 'SEWAF' with: [spec requires: 'Seaside3'].
	].! !

!ConfigurationOfSewaf2 methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:40'!
bleedingEdge: spec
	<symbolicVersion: #'bleedingEdge'>

	spec for: #'common' version: '0.939-baseline'.! !

!ConfigurationOfSewaf2 methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:40'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfSewaf2 methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:40'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfSewaf2 methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:40'!
release: spec
	<symbolicVersion: #'release'>

	spec for: #common version: '0.939'.! !

!ConfigurationOfSewaf2 methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:40'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #common version: '0.939'.! !

!ConfigurationOfSewaf2 methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:40'!
version0921: spec
	<version: '0.921' imports: #('0.921-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'brunobb'.
		spec project: 'Seaside3' with: [
			spec loads: #('Core');
				versionString: #stable.].

		spec package: 'SEWAF' with: 'SEWAF-BrunoBB-0.921'.

	]! !

!ConfigurationOfSewaf2 methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:40'!
version0934: spec
	<version: '0.934' imports: #('0.921-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'brunobb'.
		spec project: 'Seaside3' with: [
			spec loads: #('Core');
				versionString: #stable.].

		spec package: 'SEWAF' with: 'SEWAF-BrunoBB-0.934'.

	]! !

!ConfigurationOfSewaf2 methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:40'!
version0939: spec
	<version: '0.939' imports: #('0.939-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'brunobb'.
		spec project: 'Seaside3' with: [
			spec loads: #('Core');
				versionString: #stable.].

		spec package: 'SEWAF' with: 'SEWAF-BrunoBB-0.939'.

	]! !
